Loading...
Searching...
No Matches
bsf.h File Reference
`#include "libavutil/dict.h"`
`#include "libavutil/log.h"`
`#include "libavutil/rational.h"`
`#include "codec_id.h"`
`#include "codec_par.h"`
`#include "packet.h"`

Go to the source code of this file.

## Data Structures

struct | AVBSFContext
| The bitstream filter state. More...
struct | AVBitStreamFilter

## Typedefs

typedef struct AVBSFList | AVBSFList
| Structure for chain/list of bitstream filters.

## Functions

const AVBitStreamFilter * | av_bsf_get_by_name (const char *name)
const AVBitStreamFilter * | av_bsf_iterate (void **opaque)
| Iterate over all registered bitstream filters.
int | av_bsf_alloc (const AVBitStreamFilter *filter, AVBSFContext **ctx)
| Allocate a context for a given bitstream filter.
int | av_bsf_init (AVBSFContext *ctx)
| Prepare the filter for use, after all the parameters and options have been set.
int | av_bsf_send_packet (AVBSFContext *ctx, AVPacket *pkt)
| Submit a packet for filtering.
int | av_bsf_receive_packet (AVBSFContext *ctx, AVPacket *pkt)
| Retrieve a filtered packet.
void | av_bsf_flush (AVBSFContext *ctx)
| Reset the internal bitstream filter state.
void | av_bsf_free (AVBSFContext **ctx)
| Free a bitstream filter context and everything associated with it; write NULL into the supplied pointer.
const AVClass * | av_bsf_get_class (void)
| Get the AVClass for AVBSFContext.
AVBSFList * | av_bsf_list_alloc (void)
| Allocate empty list of bitstream filters.
void | av_bsf_list_free (AVBSFList **lst)
| Free list of bitstream filters.
int | av_bsf_list_append (AVBSFList *lst, AVBSFContext *bsf)
| Append bitstream filter to the list of bitstream filters.
int | av_bsf_list_append2 (AVBSFList *lst, const char *bsf_name, AVDictionary **options)
| Construct new bitstream filter context given it's name and options and append it to the list of bitstream filters.
int | av_bsf_list_finalize (AVBSFList **lst, AVBSFContext **bsf)
| Finalize list of bitstream filters.
int | av_bsf_list_parse_str (const char *str, AVBSFContext **bsf)
| Parse string describing list of bitstream filters and create single AVBSFContext describing the whole chain of bitstream filters.
int | av_bsf_get_null_filter (AVBSFContext **bsf)
| Get null/pass-through bitstream filter.